# Multiple Layers

{% hint style="warning" %}
**This is the manual for older MicroStream versions (Version < 5.0).**

**The new documentation (Version >= 5.0) is located at:**

[https://docs.microstream.one/](https://docs.microstream.one/manual)
{% endhint %}

Entities can be created with an arbitrary amount of layers, so feel free to combine them as you like:

```java
EntityVersionContext<Long> versionContext = 
	EntityVersionContext.AutoIncrementingLong();
		
JulLogger logger = new JulLogger();
		
Person john = PersonCreator.New()
	.addLayer(versionContext)
	.addLayer(logger)
	.firstName("John")
	.lastName("Doe")
	.create();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://manual.docs.microstream.one/2.1/basic-concepts/layered-entities/multiple-layers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
